classdef VhistaddException < MException
    
    properties
        returnValue = 0;
        stdout = '';
    end
    
    methods
        function obj = VhistaddException(returnValue, stdout)
            message = sprintf(['vhistadd terminated with return value ' ...
                     '%d and the following commandline output:\n%s'], ...
                     returnValue, stdout);
            obj = obj@MException('vhist:vhistaddError', '%s', message);
            obj.returnValue = returnValue;
            obj.stdout = stdout;
        end
    end
end
