function matchesAny = matchesAnyRegexp(astring, regexps)

% function which checks if filename matches a regexp
matchOne = @(r) ~isempty(regexp(astring, r, 'ONCE'));

% check if at least one regexp matches filename
matches = cellfun(matchOne, regexps);
matchesAny = any(matches);

end

