 
% Don't forget to first add the matvhist directory to your matlab path.
% Otherwise, this example won't work.

clear all

section = matvhist.VhistSection('user-defined attributes');

attrs = containers.Map();
attrs('Number of Iterations') = '25';
attrs('Temperature') = '23.4 C';
attrs('Patient Name') = 'John Doe';
attrs('Parameters') = '[0.3, 0.5, -1.2, 8.2]';

section.userAttrs = attrs;
section.appendSectionToVhistFile('attributes.vhist');
