
% Don't forget to first add the matvhist directory to your matlab path.
% Otherwise, this example won't work.

clear all

section = matvhist.VhistSection('more advanced embedding files');

file1 = matvhist.VhistFile('data.zip', 'in');
file1.comment = 'compression has been disabled';
file1.embed = true;
file1.compress = false;

file2 = matvhist.VhistFile('largefile.dat', 'in');
file2.comment = 'not embedded, no md5';
file2.embed = false;
file2.automd5 = false;

file3 = matvhist.VhistFile('largefile2.dat', 'in');
file3.comment = 'not embedded, but has md5';
file3.embed = false;
file3.automd5 = true;

file4 = matvhist.VhistFile('file-may-exist.log', 'out');
file4.optional = true;

section.files = [file1, file2, file3, file4];
section.appendSectionToVhistFile('more-advanced-embedded-files.vhist');
