function [] = performSomeComputations()

fprintf('count from 0 to 9999 and compute e with for 10000 iterations\n')

sum = 0;
for i=0:9999
    sum = sum + (1/calcFactorial(i));
    fprintf('iteration: %02d, approximation of e: %1.20f\n', i, sum);
end

fprintf('difference between calculated e and built-in e: %1.20f\n', sum - exp(1));

end

function fn = calcFactorial(n)

fn = 1;
for i = 1 : n
    fn = fn * i;
end

end
