
% Don't forget to first add the matvhist directory to your matlab path.
% Otherwise, this example won't work.

clear all

sec = matvhist.VhistSection('some title');

f1 = matvhist.VhistFile('foo.txt', 'in');
f2 = matvhist.VhistFile('bar.txt', 'in');
f3 = matvhist.VhistFile('baz.txt', 'in');
f4 = matvhist.VhistFile('baz3.txt', 'out');
f5 = matvhist.VhistFile('baz2.txt', 'out');
f6 = matvhist.VhistFile('baz.txt', 'out');

sec.files = [f1, f2, f3, f4, f5, f6];

[sec2, infile, outfiles] = matvhist.handleVhistFiles(sec, ...
        '*.txt', '*.txt');

[ret, stdout] = sec2.addVhistSection(outfiles, infile)
