
function [newMap] = copyMap(oldMap)

if ~isempty(oldMap) && (~strcmp(oldMap.KeyType, 'char'))
    throw(MException('vhist:wrongType', ...
        'map keys must both be of type char'));
end

newMap = containers.Map;
keys = oldMap.keys;

for i = 1 : numel(keys)
    key = keys{i};
    newMap(key) = oldMap(key);
end
