 
% Don't forget to first add the matvhist directory to your matlab path.
% Otherwise, this example won't work.

clear all

section = matvhist.VhistSection('user-defined attributes 2');


attrs.NumberOfIterations = 25;
attrs.Temperature = '23.4 C';
attrs.PatientName = 'John Doe';
attrs.Parameters = [0.3, 0.5, -1.2, 8.2];

section.userAttrs = matvhist.structToMap(attrs);
section.appendSectionToVhistFile('attributes2.vhist');
