
% Don't forget to first add the matvhist directory to your matlab path.
% Otherwise, this example won't work.

clear all

section = matvhist.VhistSection('previews');

% create a figure
fhandle = figure;
hold on;
axis equal;
plot(1:0.1:10, sin(1:0.1:10), 'b.', 'MarkerSize', 10);
plot(1:0.1:10, cos(1:0.1:10), 'r--', 'LineWidth', 3);
legend('sinus', 'cosinus');
title('sinus and cosinus')

section.previews = {fhandle};
section.appendSectionToVhistFile('previews.vhist');
