
% Don't forget to first add the matvhist directory to your matlab path.
% Otherwise, this example won't work.

clear all

section = matvhist.VhistSection('advanced embedded files');

file = matvhist.VhistFile('MarsSunset.jpg', 'in', 'Sunset on Mars');
file.comment = 'taken from http://en.wikipedia.org/wiki/Sunset';
% file.filetype = 'images/jpg'; % will also be automatically detected

fid = figure;
img = imread('MarsSunset.jpg');
title('Histogram of image brightness')
imhist(rgb2gray(img))
file.previews = {fid};

file.userAttrs('Author') = 'NASA''s Mars Exploration Rover';
file.userAttrs('License') = 'Public Domain';
file.userAttrs('Source') = 'http://marsrovers.jpl.nasa.gov/gallery/press/spirit/20050610a.html';

section.files = [file];
section.appendSectionToVhistFile('advanced-embedded-files.vhist');
